Update shipping method - Fabric

Update shipping method

cURL

curl --request PATCH \
  --url https://prod01.oms.fabric.inc/api/v2/shipping/{shipmethodId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-site-context: <x-site-context>' \
  --data '
{
  "name": "Express Delivery",
  "description": "Express Delivery 2 - 5 days",
  "taxCode": "tax_1",
  "minimumDays": 2,
  "maximumDays": 5,
  "cutOffTime": 1330,
  "cost": 20,
  "channel": "12",
  "createdBy": "User1",
  "addressType": "APO",
  "shippingMethodId": "5349b4ddd2781d08c09890f4",
  "region": "CA",
  "deleted": false,
  "updatedBy": "User2",
  "configuredBy": "User3",
  "weight": {
    "min": 2,
    "max": 3
  },
  "cartValue": {
    "min": 2,
    "max": 3
  },
  "dimension": {
    "min": {
      "height": 2,
      "width": 3,
      "length": 4
    },
    "max": {
      "height": 2,
      "width": 3,
      "length": 4
    }
  },
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z"
}
'

Python

import requests

url = "https://prod01.oms.fabric.inc/api/v2/shipping/{shipmethodId}"

payload = {
    "name": "Express Delivery",
    "description": "Express Delivery 2 - 5 days",
    "taxCode": "tax_1",
    "minimumDays": 2,
    "maximumDays": 5,
    "cutOffTime": 1330,
    "cost": 20,
    "channel": "12",
    "createdBy": "User1",
    "addressType": "APO",
    "shippingMethodId": "5349b4ddd2781d08c09890f4",
    "region": "CA",
    "deleted": False,
    "updatedBy": "User2",
    "configuredBy": "User3",
    "weight": {
        "min": 2,
        "max": 3
    },
    "cartValue": {
        "min": 2,
        "max": 3
    },
    "dimension": {
        "min": {
            "height": 2,
            "width": 3,
            "length": 4
        },
        "max": {
            "height": 2,
            "width": 3,
            "length": 4
        }
    },
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z"
}
headers = {
    "x-site-context": "<x-site-context>",
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)

JavaScript (Fetch)

const options = {
  method: 'PATCH',
  headers: {
    'x-site-context': '<x-site-context>',
    Authorization: 'Bearer <token>',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({
    name: 'Express Delivery',
    description: 'Express Delivery 2 - 5 days',
    taxCode: 'tax_1',
    minimumDays: 2,
    maximumDays: 5,
    cutOffTime: 1330,
    cost: 20,
    channel: '12',
    createdBy: 'User1',
    addressType: 'APO',
    shippingMethodId: '5349b4ddd2781d08c09890f4',
    region: 'CA',
    deleted: false,
    updatedBy: 'User2',
    configuredBy: 'User3',
    weight: {min: 2, max: 3},
    cartValue: {min: 2, max: 3},
    dimension: {min: {height: 2, width: 3, length: 4}, max: {height: 2, width: 3, length: 4}},
    createdAt: '2023-11-07T05:31:56Z',
    updatedAt: '2023-11-07T05:31:56Z'
  })
};

fetch('https://prod01.oms.fabric.inc/api/v2/shipping/{shipmethodId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

PHP

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://prod01.oms.fabric.inc/api/v2/shipping/{shipmethodId}",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "PATCH",
  CURLOPT_POSTFIELDS => json_encode([
    'name' => 'Express Delivery',
    'description' => 'Express Delivery 2 - 5 days',
    'taxCode' => 'tax_1',
    'minimumDays' => 2,
    'maximumDays' => 5,
    'cutOffTime' => 1330,
    'cost' => 20,
    'channel' => '12',
    'createdBy' => 'User1',
    'addressType' => 'APO',
    'shippingMethodId' => '5349b4ddd2781d08c09890f4',
    'region' => 'CA',
    'deleted' => false,
    'updatedBy' => 'User2',
    'configuredBy' => 'User3',
    'weight' => [
        'min' => 2,
        'max' => 3
    ],
    'cartValue' => [
        'min' => 2,
        'max' => 3
    ],
    'dimension' => [
        'min' => [
                'height' => 2,
                'width' => 3,
                'length' => 4
        ],
        'max' => [
                'height' => 2,
                'width' => 3,
                'length' => 4
        ]
    ],
    'createdAt' => '2023-11-07T05:31:56Z',
    'updatedAt' => '2023-11-07T05:31:56Z'
  ]),
  CURLOPT_HTTPHEADER => [
    "Authorization: Bearer <token>",
    "Content-Type: application/json",
    "x-site-context: <x-site-context>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}

Responses

{
  "name": "Express Delivery",
  "description": "Express Delivery 2 - 5 days",
  "taxCode": "tax_1",
  "minimumDays": 2,
  "maximumDays": 5,
  "cutOffTime": 1330,
  "cost": 20,
  "channel": "12",
  "createdBy": "User1",
  "addressType": "APO",
  "shippingMethodId": "5349b4ddd2781d08c09890f4",
  "region": "CA",
  "deleted": false,
  "updatedBy": "User2",
  "configuredBy": "User3",
  "weight": {
    "min": 2,
    "max": 3
  },
  "cartValue": {
    "min": 2,
    "max": 3
  },
  "dimension": {
    "min": {
      "height": 2,
      "width": 3,
      "length": 4
    },
    "max": {
      "height": 2,
      "width": 3,
      "length": 4
    }
  },
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z"
}
{
  "message": "Bad Request"
}
{
  "message": "ShipMethod Not Found."
}
{
  "message": "Internal Server Error"
}